diff --git a/Client/Client/Assets/Scenes/WebGL.unity b/Client/Client/Assets/Scenes/WebGL.unity
index ac798cb..e6e6a7a 100644
--- a/Client/Client/Assets/Scenes/WebGL.unity
+++ b/Client/Client/Assets/Scenes/WebGL.unity
@@ -24941,15 +30637,15 @@ MonoBehaviour:
   m_FillOrigin: 0
   m_UseSpriteMesh: 0
   m_PixelsPerUnitMultiplier: 1
---- !u!222 &2005881278
+--- !u!222 &2004628681
 CanvasRenderer:
   m_ObjectHideFlags: 0
   m_CorrespondingSourceObject: {fileID: 0}
   m_PrefabInstance: {fileID: 0}
   m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 2005881275}
+  m_GameObject: {fileID: 2004628678}
   m_CullTransparentMesh: 0
---- !u!1 &2011098070
+--- !u!1 &2005881275
 GameObject:
   m_ObjectHideFlags: 0
   m_CorrespondingSourceObject: {fileID: 0}
@@ -24957,75 +30653,72 @@ GameObject:
   m_PrefabAsset: {fileID: 0}
   serializedVersion: 6
   m_Component:
-  - component: {fileID: 2011098071}
-  - component: {fileID: 2011098073}
-  - component: {fileID: 2011098072}
+  - component: {fileID: 2005881276}
+  - component: {fileID: 2005881278}
+  - component: {fileID: 2005881277}
   m_Layer: 5
-  m_Name: Slash
+  m_Name: Weather
   m_TagString: Untagged
   m_Icon: {fileID: 0}
   m_NavMeshLayer: 0
   m_StaticEditorFlags: 0
   m_IsActive: 1
---- !u!224 &2011098071
+--- !u!224 &2005881276
 RectTransform:
   m_ObjectHideFlags: 0
   m_CorrespondingSourceObject: {fileID: 0}
   m_PrefabInstance: {fileID: 0}
   m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 2011098070}
-  m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
+  m_GameObject: {fileID: 2005881275}
+  m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
-  m_LocalScale: {x: 1, y: 1, z: 1}
-  m_Children: []
-  m_Father: {fileID: 1367384571}
-  m_RootOrder: 1
+  m_LocalScale: {x: 0.9, y: 0.9, z: 1}
+  m_Children:
+  - {fileID: 423734338}
+  m_Father: {fileID: 1293201332}
+  m_RootOrder: 0
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
   m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 115, y: -15}
-  m_SizeDelta: {x: 30, y: 30}
-  m_Pivot: {x: 0.5, y: 0.5}
---- !u!114 &2011098072
+  m_AnchorMax: {x: 1, y: 1}
+  m_AnchoredPosition: {x: 0, y: -18}
+  m_SizeDelta: {x: 0, y: 350}
+  m_Pivot: {x: 0.5, y: 1}
+--- !u!114 &2005881277
 MonoBehaviour:
   m_ObjectHideFlags: 0
   m_CorrespondingSourceObject: {fileID: 0}
   m_PrefabInstance: {fileID: 0}
   m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 2011098070}
+  m_GameObject: {fileID: 2005881275}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: 11500000, guid: 5f7201a12d95ffc409449d95f23cf332, type: 3}
+  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
-  m_Color: {r: 0.35, g: 0.35, b: 0.35, a: 1}
+  m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
   m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
-  m_FontData:
-    m_Font: {fileID: 12800000, guid: 9481e32b30a71424388dc7fa2f08e2d0, type: 3}
-    m_FontSize: 24
-    m_FontStyle: 0
-    m_BestFit: 0
-    m_MinSize: 2
-    m_MaxSize: 40
-    m_Alignment: 4
-    m_AlignByGeometry: 0
-    m_RichText: 1
-    m_HorizontalOverflow: 0
-    m_VerticalOverflow: 0
-    m_LineSpacing: 1
-  m_Text: /
---- !u!222 &2011098073
+  m_Sprite: {fileID: 21300000, guid: e6ac2af98fabdef4ab7a6ec618507d7a, type: 3}
+  m_Type: 0
+  m_PreserveAspect: 0
+  m_FillCenter: 1
+  m_FillMethod: 4
+  m_FillAmount: 1
+  m_FillClockwise: 1
+  m_FillOrigin: 0
+  m_UseSpriteMesh: 0
+  m_PixelsPerUnitMultiplier: 1
+--- !u!222 &2005881278
 CanvasRenderer:
   m_ObjectHideFlags: 0
   m_CorrespondingSourceObject: {fileID: 0}
   m_PrefabInstance: {fileID: 0}
   m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 2011098070}
+  m_GameObject: {fileID: 2005881275}
   m_CullTransparentMesh: 0
 --- !u!1 &2012948735
 GameObject:
@@ -25060,6 +30753,7 @@ RectTransform:
   - {fileID: 714623192}
   - {fileID: 1647108324}
   - {fileID: 233731343}
+  - {fileID: 935701911}
   m_Father: {fileID: 593557251}
   m_RootOrder: 1
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
@@ -25266,10 +30960,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 3
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 1725, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -479.63}
+  m_SizeDelta: {x: 1725, y: 38}
   m_Pivot: {x: 0.5, y: 1}
 --- !u!114 &2016039611
 MonoBehaviour:
@@ -25443,18 +31137,14 @@ RectTransform:
   m_LocalScale: {x: 0.9, y: 0.9, z: 1}
   m_Children:
   - {fileID: 1751920789}
-  - {fileID: 1138098485}
-  - {fileID: 1032384746}
-  - {fileID: 1561487179}
-  - {fileID: 73770951}
-  - {fileID: 789886757}
-  - {fileID: 1776604245}
+  - {fileID: 365675104}
+  - {fileID: 1121604585}
   m_Father: {fileID: 806962367}
-  m_RootOrder: 4
+  m_RootOrder: 2
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
   m_AnchorMin: {x: 0, y: 1}
   m_AnchorMax: {x: 1, y: 1}
-  m_AnchoredPosition: {x: 0, y: -355}
+  m_AnchoredPosition: {x: 0, y: -270}
   m_SizeDelta: {x: 0, y: 30}
   m_Pivot: {x: 0.5, y: 1}
 --- !u!114 &2020135978
@@ -25475,7 +31165,7 @@ MonoBehaviour:
     m_Top: 0
     m_Bottom: 0
   m_ChildAlignment: 4
-  m_Spacing: 0
+  m_Spacing: 10
   m_ChildForceExpandWidth: 0
   m_ChildForceExpandHeight: 0
   m_ChildControlWidth: 0
@@ -25519,6 +31209,219 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 2020135976}
   m_CullTransparentMesh: 0
+--- !u!1 &2020527456
+GameObject:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  serializedVersion: 6
+  m_Component:
+  - component: {fileID: 2020527457}
+  - component: {fileID: 2020527459}
+  - component: {fileID: 2020527458}
+  m_Layer: 5
+  m_Name: Item Label
+  m_TagString: Untagged
+  m_Icon: {fileID: 0}
+  m_NavMeshLayer: 0
+  m_StaticEditorFlags: 0
+  m_IsActive: 1
+--- !u!224 &2020527457
+RectTransform:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2020527456}
+  m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
+  m_LocalPosition: {x: 0, y: 0, z: 0}
+  m_LocalScale: {x: 1, y: 1, z: 1}
+  m_Children: []
+  m_Father: {fileID: 1038295134}
+  m_RootOrder: 2
+  m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 1, y: 1}
+  m_AnchoredPosition: {x: 5, y: -0.5}
+  m_SizeDelta: {x: -30, y: -3}
+  m_Pivot: {x: 0.5, y: 0.5}
+--- !u!114 &2020527458
+MonoBehaviour:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2020527456}
+  m_Enabled: 1
+  m_EditorHideFlags: 0
+  m_Script: {fileID: 11500000, guid: 5f7201a12d95ffc409449d95f23cf332, type: 3}
+  m_Name: 
+  m_EditorClassIdentifier: 
+  m_Material: {fileID: 0}
+  m_Color: {r: 0.19607843, g: 0.19607843, b: 0.19607843, a: 1}
+  m_RaycastTarget: 1
+  m_Maskable: 1
+  m_OnCullStateChanged:
+    m_PersistentCalls:
+      m_Calls: []
+  m_FontData:
+    m_Font: {fileID: 12800000, guid: 9481e32b30a71424388dc7fa2f08e2d0, type: 3}
+    m_FontSize: 16
+    m_FontStyle: 0
+    m_BestFit: 0
+    m_MinSize: 1
+    m_MaxSize: 40
+    m_Alignment: 3
+    m_AlignByGeometry: 0
+    m_RichText: 1
+    m_HorizontalOverflow: 0
+    m_VerticalOverflow: 0
+    m_LineSpacing: 1
+  m_Text: Option A
+--- !u!222 &2020527459
+CanvasRenderer:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2020527456}
+  m_CullTransparentMesh: 0
+--- !u!1001 &2028450461
+PrefabInstance:
+  m_ObjectHideFlags: 0
+  serializedVersion: 2
+  m_Modification:
+    m_TransformParent: {fileID: 754035707}
+    m_Modifications:
+    - target: {fileID: 746043216007754085, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_Name
+      value: CalendarButton (1)
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_Pivot.x
+      value: 0.5
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_Pivot.y
+      value: 0.5
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_RootOrder
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchorMax.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchorMax.y
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchorMin.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchorMin.y
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_SizeDelta.x
+      value: 40
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_SizeDelta.y
+      value: 40
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalPosition.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalPosition.y
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalPosition.z
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalRotation.w
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalRotation.x
+      value: -0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalRotation.y
+      value: -0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalRotation.z
+      value: -0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchoredPosition.x
+      value: 63
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchoredPosition.y
+      value: -20
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalEulerAnglesHint.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalEulerAnglesHint.y
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalEulerAnglesHint.z
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754091, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: setter
+      value: 
+      objectReference: {fileID: 156009367}
+    - target: {fileID: 746043216679620942, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_Text
+      value: 23
+      objectReference: {fileID: 0}
+    m_RemovedComponents: []
+  m_SourcePrefab: {fileID: 100100000, guid: 57b099864c33f1340a5b9f4c17878eae, type: 3}
+--- !u!224 &2028450462 stripped
+RectTransform:
+  m_CorrespondingSourceObject: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+    type: 3}
+  m_PrefabInstance: {fileID: 2028450461}
+  m_PrefabAsset: {fileID: 0}
 --- !u!1 &2034067899
 GameObject:
   m_ObjectHideFlags: 0
@@ -26059,6 +31962,95 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 2060852568}
   m_CullTransparentMesh: 0
+--- !u!1 &2071151821
+GameObject:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  serializedVersion: 6
+  m_Component:
+  - component: {fileID: 2071151822}
+  - component: {fileID: 2071151825}
+  - component: {fileID: 2071151824}
+  - component: {fileID: 2071151823}
+  m_Layer: 5
+  m_Name: Viewport
+  m_TagString: Untagged
+  m_Icon: {fileID: 0}
+  m_NavMeshLayer: 0
+  m_StaticEditorFlags: 0
+  m_IsActive: 1
+--- !u!224 &2071151822
+RectTransform:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2071151821}
+  m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
+  m_LocalPosition: {x: 0, y: 0, z: 0}
+  m_LocalScale: {x: 1, y: 1, z: 1}
+  m_Children:
+  - {fileID: 1843803989}
+  m_Father: {fileID: 1177748196}
+  m_RootOrder: 0
+  m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 1, y: 1}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: -18, y: 0}
+  m_Pivot: {x: 0, y: 1}
+--- !u!114 &2071151823
+MonoBehaviour:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2071151821}
+  m_Enabled: 1
+  m_EditorHideFlags: 0
+  m_Script: {fileID: 11500000, guid: 31a19414c41e5ae4aae2af33fee712f6, type: 3}
+  m_Name: 
+  m_EditorClassIdentifier: 
+  m_ShowMaskGraphic: 0
+--- !u!114 &2071151824
+MonoBehaviour:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2071151821}
+  m_Enabled: 1
+  m_EditorHideFlags: 0
+  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
+  m_Name: 
+  m_EditorClassIdentifier: 
+  m_Material: {fileID: 0}
+  m_Color: {r: 1, g: 1, b: 1, a: 1}
+  m_RaycastTarget: 1
+  m_Maskable: 1
+  m_OnCullStateChanged:
+    m_PersistentCalls:
+      m_Calls: []
+  m_Sprite: {fileID: 10917, guid: 0000000000000000f000000000000000, type: 0}
+  m_Type: 1
+  m_PreserveAspect: 0
+  m_FillCenter: 1
+  m_FillMethod: 4
+  m_FillAmount: 1
+  m_FillClockwise: 1
+  m_FillOrigin: 0
+  m_UseSpriteMesh: 0
+  m_PixelsPerUnitMultiplier: 1
+--- !u!222 &2071151825
+CanvasRenderer:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2071151821}
+  m_CullTransparentMesh: 0
 --- !u!1 &2074449103
 GameObject:
   m_ObjectHideFlags: 0
@@ -26139,6 +32131,141 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 2074449103}
   m_CullTransparentMesh: 0
+--- !u!1001 &2080199234
+PrefabInstance:
+  m_ObjectHideFlags: 0
+  serializedVersion: 2
+  m_Modification:
+    m_TransformParent: {fileID: 2138798899}
+    m_Modifications:
+    - target: {fileID: 746043216007754085, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_Name
+      value: CalendarButton (1)
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_Pivot.x
+      value: 0.5
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_Pivot.y
+      value: 0.5
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_RootOrder
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchorMax.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchorMax.y
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchorMin.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchorMin.y
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_SizeDelta.x
+      value: 40
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_SizeDelta.y
+      value: 40
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalPosition.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalPosition.y
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalPosition.z
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalRotation.w
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalRotation.x
+      value: -0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalRotation.y
+      value: -0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalRotation.z
+      value: -0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchoredPosition.x
+      value: 63
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchoredPosition.y
+      value: -20
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalEulerAnglesHint.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalEulerAnglesHint.y
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalEulerAnglesHint.z
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754091, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: setter
+      value: 
+      objectReference: {fileID: 156009367}
+    - target: {fileID: 746043216679620942, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_Text
+      value: 16
+      objectReference: {fileID: 0}
+    m_RemovedComponents: []
+  m_SourcePrefab: {fileID: 100100000, guid: 57b099864c33f1340a5b9f4c17878eae, type: 3}
+--- !u!224 &2080199235 stripped
+RectTransform:
+  m_CorrespondingSourceObject: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+    type: 3}
+  m_PrefabInstance: {fileID: 2080199234}
+  m_PrefabAsset: {fileID: 0}
 --- !u!1 &2085722378
 GameObject:
   m_ObjectHideFlags: 0
@@ -26670,6 +32797,135 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 2128103003}
   m_CullTransparentMesh: 0
+--- !u!1001 &2129463711
+PrefabInstance:
+  m_ObjectHideFlags: 0
+  serializedVersion: 2
+  m_Modification:
+    m_TransformParent: {fileID: 385207825}
+    m_Modifications:
+    - target: {fileID: 746043216007754085, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_Name
+      value: CalendarButton (5)
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_Pivot.x
+      value: 0.5
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_Pivot.y
+      value: 0.5
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_RootOrder
+      value: 5
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchorMax.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchorMax.y
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchorMin.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchorMin.y
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_SizeDelta.x
+      value: 40
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_SizeDelta.y
+      value: 40
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalPosition.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalPosition.y
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalPosition.z
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalRotation.w
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalRotation.x
+      value: -0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalRotation.y
+      value: -0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalRotation.z
+      value: -0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchoredPosition.x
+      value: 235
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_AnchoredPosition.y
+      value: -20
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalEulerAnglesHint.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalEulerAnglesHint.y
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_LocalEulerAnglesHint.z
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 746043216007754091, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: setter
+      value: 
+      objectReference: {fileID: 156009367}
+    - target: {fileID: 746043216679620942, guid: 57b099864c33f1340a5b9f4c17878eae,
+        type: 3}
+      propertyPath: m_Text
+      value: 6
+      objectReference: {fileID: 0}
+    m_RemovedComponents: []
+  m_SourcePrefab: {fileID: 100100000, guid: 57b099864c33f1340a5b9f4c17878eae, type: 3}
 --- !u!1 &2132748030
 GameObject:
   m_ObjectHideFlags: 0
@@ -26748,6 +33004,80 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 2132748030}
   m_CullTransparentMesh: 0
+--- !u!224 &2135083513 stripped
+RectTransform:
+  m_CorrespondingSourceObject: {fileID: 746043216007754090, guid: 57b099864c33f1340a5b9f4c17878eae,
+    type: 3}
+  m_PrefabInstance: {fileID: 1726885521}
+  m_PrefabAsset: {fileID: 0}
+--- !u!1 &2138798898
+GameObject:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  serializedVersion: 6
+  m_Component:
+  - component: {fileID: 2138798899}
+  - component: {fileID: 2138798900}
+  m_Layer: 5
+  m_Name: Row (2)
+  m_TagString: Untagged
+  m_Icon: {fileID: 0}
+  m_NavMeshLayer: 0
+  m_StaticEditorFlags: 0
+  m_IsActive: 1
+--- !u!224 &2138798899
+RectTransform:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2138798898}
+  m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
+  m_LocalPosition: {x: 0, y: 0, z: 0}
+  m_LocalScale: {x: 1, y: 1, z: 1}
+  m_Children:
+  - {fileID: 1281259478}
+  - {fileID: 2080199235}
+  - {fileID: 457534404}
+  - {fileID: 55758147}
+  - {fileID: 1543730016}
+  - {fileID: 934079298}
+  - {fileID: 1269238065}
+  m_Father: {fileID: 846685172}
+  m_RootOrder: 2
+  m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 1, y: 1}
+  m_AnchoredPosition: {x: 0, y: -86}
+  m_SizeDelta: {x: 0, y: 40}
+  m_Pivot: {x: 0.5, y: 1}
+--- !u!114 &2138798900
+MonoBehaviour:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2138798898}
+  m_Enabled: 1
+  m_EditorHideFlags: 0
+  m_Script: {fileID: 11500000, guid: 30649d3a9faa99c48a7b1166b86bf2a0, type: 3}
+  m_Name: 
+  m_EditorClassIdentifier: 
+  m_Padding:
+    m_Left: 0
+    m_Right: 0
+    m_Top: 0
+    m_Bottom: 0
+  m_ChildAlignment: 0
+  m_Spacing: 3
+  m_ChildForceExpandWidth: 0
+  m_ChildForceExpandHeight: 0
+  m_ChildControlWidth: 0
+  m_ChildControlHeight: 0
+  m_ChildScaleWidth: 0
+  m_ChildScaleHeight: 0
 --- !u!1 &2140207598
 GameObject:
   m_ObjectHideFlags: 0
diff --git a/Client/Client/Assets/Scripts/MapRenderer.cs b/Client/Client/Assets/Scripts/MapRenderer.cs
index 84afcf2..0c14c7b 100644
--- a/Client/Client/Assets/Scripts/MapRenderer.cs
+++ b/Client/Client/Assets/Scripts/MapRenderer.cs
@@ -18,6 +18,19 @@ public class MapRenderer : MonoBehaviour
     [SerializeField]
     public bool interactable = true;
 
+    [SerializeField]
+    private Material UIMaterial;
+
+    [SerializeField] 
+    private Material overlayMaterial;
+
+    [SerializeField] 
+    private Material notAvailableMaterial;
+
+    [SerializeField] 
+    private Material UINotAvailableMaterial;
+
+    
     public Color minColor;
 
     public Color maxColor;
@@ -211,8 +224,17 @@ public class MapRenderer : MonoBehaviour
         {
             if (predictions[i] < 0)
             {
-                // TODO set different material
+                if (overlay.ContainsKey(buildings[i]))
+                {
+                    overlay[buildings[i]].material = notAvailableMaterial;
+
+                }
+                else if (overlay2.ContainsKey(buildings[i]))
+                {
+                    overlay2[buildings[i]].material = UINotAvailableMaterial;
+                }
             }
+
             else
             {
                 if (overlay.ContainsKey(buildings[i]))
@@ -221,18 +243,20 @@ public class MapRenderer : MonoBehaviour
                     var c = Color.Lerp(minColor, maxColor, (float)predictions[i] / 100f);
                     c.a = a;
                     overlay[buildings[i]].color = c;
+                    overlay[buildings[i]].material = overlayMaterial;
                 }
 
                 else if (overlay2.ContainsKey(buildings[i]))
                 {
                     RectTransform rt = overlay2[buildings[i]].GetComponent(typeof(RectTransform)) as RectTransform;
-                    rt.SetSizeWithCurrentAnchors(RectTransform.Axis.Horizontal, 25 + ( 200 * ((float)predictions[i] / 100f)));
+                    rt.SetSizeWithCurrentAnchors(RectTransform.Axis.Horizontal, 25 + (200 * ((float)predictions[i] / 100f)));
                     rt.ForceUpdateRectTransforms();
 
                     float a = overlay2[buildings[i]].color.a;
                     var c = Color.Lerp(minColor, maxColor, (float)predictions[i] / 100f);
                     c.a = a;
                     overlay2[buildings[i]].color = c;
+                    overlay2[buildings[i]].material = UIMaterial;
                 }
 
             }
